package com.realnet.taxi_rental.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.taxi_rental.Entity.Office;
import com.realnet.taxi_rental.Services.OfficeService ;






@RequestMapping(value = "/token/Office")
 @CrossOrigin("*") 
@RestController
public class tokenFree_OfficeController {
	@Autowired
	private OfficeService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Office")
		  public Office Savedata(@RequestBody Office data) {
		Office save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Office/{id}")
	public  Office update(@RequestBody Office data,@PathVariable Integer id ) {
		Office update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Office/getall/page")
	public Page<Office> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Office> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Office")
	public List<Office> getdetails() {
		 List<Office> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Office")
	public List<Office> getallwioutsec() {
		 List<Office> get = Service.getdetails();		
		return get;
}
@GetMapping("/Office/{id}")
	public  Office  getdetailsbyId(@PathVariable Integer id ) {
		Office  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Office/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}